{%- from 'components/section.html.jinja' import section_base, title_section -%}
{% extends "root.html.jinja" %}

{%- block page -%}
  {{ title_section(base, page.get_title_section()) }}

  {% call section_base(true) %}
    <h2 id="central-contact" class="mb-5">Zentraler Kontakt</h2>
    <div class="overflow-hidden">
      <div class="row g-5">
        <div class="col-lg-6">
          <h3 class="fs-4 mb-4">Postanschrift</h3>
          <p>{{ page.postanschrift |safe }}</p>
        </div>

        <div class="col-lg-6">
          <h3 class="fs-4 mb-4">Support</h3>
          <p>{{ page.support_text |safe }}</p>
          <p>
            <a class="btn btn-primary" href="mailto:{{ page.support_email }}"
              >{{ page.support_email }}
              <i class="bi bi-envelope-fill ms-1"></i>
            </a>
          </p>
        </div>
      </div>
    </div>
  {% endcall %}

  {% call section_base(false) %}
    <h2 id="contact-redaktionen" class="mb-5">
      Ihre Ansprechpersonen auf Bundes- und Landesebene
    </h2>
    {% for ansprechpartner in page.ansprechpartner_redaktionen %}
      <div class="row g-2">
        <div class="col-12 col-lg-3">
          <div class="d-flex flex-row align-items-center gap-3">
            <img
              class="border rounded-circle"
              src="{{ get_static_url(ansprechpartner.icon) }}"
              alt=""
            />
            <span><b>{{ ansprechpartner.name }}</b></span>
          </div>
        </div>

        <div class="col-12 col-lg-5">{{ ansprechpartner.description }}</div>

        <div class="col-12 col-lg-3">
          <a href="mailto:{{ ansprechpartner.email }}"
            >{{ ansprechpartner.email }}</a
          >
        </div>
      </div>
      {% if not loop.last %}
        <hr />
      {% endif %}
    {% endfor %}
  {% endcall %}

  {% call section_base(true) %}
    <h2 id="contact-fim" class="mb-5">Ansprechpersonen FIM</h2>
    <div class="row g-3">
      {% for ansprechpartner in page.ansprechpartner_fim %}
        <div class="col-12 col-xl-6 d-flex flex-column">
          <div class="card flex-fill shadow">
            <div class="card-body p-4">
              <div class="row">
                <div class="col-md-4 text-center">
                  {% if ansprechpartner.image %}
                    <img
                      loading="lazy"
                      src="{{ ansprechpartner.image.url }}"
                      alt="{{ ansprechpartner.name }}"
                      class="rounded-circle"
                    />
                  {% else %}
                    <svg
                      xmlns="http://www.w3.org/2000/svg"
                      width="150"
                      height="150"
                      class="bg-body-secondary text-primary rounded-circle"
                      fill="currentColor"
                      viewBox="0 0 16 16"
                    >
                      <path d="M11 6a3 3 0 1 1-6 0 3 3 0 0 1 6 0" />
                      <path
                        fill-rule="evenodd"
                        d="M0 8a8 8 0 1 1 16 0A8 8 0 0 1 0 8m8-7a7 7 0 0 0-5.468 11.37C3.242 11.226 4.805 10 8 10s4.757 1.225 5.468 2.37A7 7 0 0 0 8 1"
                      />
                    </svg>
                  {% endif %}
                </div>
                <div class="col-md-8">
                  <h3 class="card-title">{{ ansprechpartner.name }}</h3>
                  <p class="card-title mb-4 fw-semibold">
                    {{ ansprechpartner.role }}
                  </p>

                  <div class="row mb-3">
                    <div class="col-3"><b class="text-muted">Telefon</b></div>
                    <div class="col-9">
                      {% if ansprechpartner.phone %}
                        <a href="tel:{{ ansprechpartner.phone }}"
                          >{{ ansprechpartner.phone }}</a
                        >
                      {% endif %}
                    </div>
                  </div>

                  <div class="row">
                    <div class="col-3"><b class="text-muted">Email</b></div>
                    <div class="col-9">
                      {% if ansprechpartner.email %}
                        <a href="mailto:{{ ansprechpartner.email }}"
                          >{{ ansprechpartner.email }}</a
                        >
                      {% endif %}
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      {% endfor %}
    </div>
  {% endcall %}
{%- endblock -%}
